aboutsummaryrefslogtreecommitdiffstats
path: root/security/openvpn/files
diff options
context:
space:
mode:
authorvs <vs@FreeBSD.org>2005-09-18 20:01:57 +0800
committervs <vs@FreeBSD.org>2005-09-18 20:01:57 +0800
commit4533c38ce6c8b382fc550ea9cba30f51a70cab18 (patch)
tree33df28db63a56a0bb60073fe0fa08290c2d48fde /security/openvpn/files
parent696db928a61b1bb4d3e25851a3511cbc1af154fe (diff)
downloadfreebsd-ports-gnome-4533c38ce6c8b382fc550ea9cba30f51a70cab18.tar.gz
freebsd-ports-gnome-4533c38ce6c8b382fc550ea9cba30f51a70cab18.tar.zst
freebsd-ports-gnome-4533c38ce6c8b382fc550ea9cba30f51a70cab18.zip
FreeBSD 6 no longer adds debug.if_* sysctl variables in its default kernel
(according to the release notes), so our heuristic assumes the module is missing and tries to load it, which fails as the module already exists. PR: ports/86286 Submitted by: maintainer
Diffstat (limited to 'security/openvpn/files')
-rw-r--r--security/openvpn/files/openvpn.sh.in6
1 files changed, 5 insertions, 1 deletions
diff --git a/security/openvpn/files/openvpn.sh.in b/security/openvpn/files/openvpn.sh.in
index 07f6447e9ea0..1330f7a550f4 100644
--- a/security/openvpn/files/openvpn.sh.in
+++ b/security/openvpn/files/openvpn.sh.in
@@ -59,7 +59,11 @@ prefix="%%PREFIX%%"
openvpn_precmd()
{
for i in $openvpn_if ; do
- if ! sysctl debug.if_${i}_debug >/dev/null 2>&1 ; then
+ # FreeBSD <= 5.4 does not know kldstat's -m option
+ # FreeBSD >= 6.0 does not add debug.* sysctl information
+ # in the default build - we check both to keep things simple
+ if ! sysctl debug.if_${i}_debug >/dev/null 2>&1 \
+ && ! kldstat -m if_${i} >/dev/null 2>&1 ; then
if ! kldload if_${i} ; then
warn "Could not load $i module."
return 1